/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.geoviewer.jxmap;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import org.openide.util.NbBundle;
import org.openide.windows.TopComponent;

/**
 * Action which shows MapViewer component.
 *
 * @author Timon Veenstra
 */
public class MapViewerAction extends AbstractAction {

    public MapViewerAction() {
        super(NbBundle.getMessage(MapViewerAction.class, "CTL_MapViewerAction"));
    }

    @Override
    public void actionPerformed(ActionEvent evt) {
        TopComponent win = MapViewerTopComponent.findInstance();
        win.open();
        win.requestActive();
    }
}
