/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer.jxmap.layerlist;

import java.awt.event.ActionEvent;
import nl.cloudfarming.client.geoviewer.Layer;
import nl.cloudfarming.client.geoviewer.LayerAction;
import nl.cloudfarming.client.geoviewer.MapController;
import org.openide.util.NbBundle;
import org.openide.util.Utilities;
import org.openide.util.lookup.ServiceProvider;

/**
 *
 * @author Timon Veenstra
 */
@ServiceProvider(service = LayerAction.class)
public class RemoveLayerAction extends LayerAction {

    public RemoveLayerAction() {
        putValue(NAME, NbBundle.getMessage(RemoveLayerAction.class, "remove_layer.name"));
    }



    @Override
    public void actionPerformed(ActionEvent e) {
        Layer layer = Utilities.actionsGlobalContext().lookup(Layer.class);
        MapController mapApi = Utilities.actionsGlobalContext().lookup(MapController.class);
        mapApi.removeLayer(layer);
    }
}
