/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.geoviewer.jxmap.preset;

import com.vividsolutions.jts.geom.Coordinate;
import nl.cloudfarming.client.geoviewer.BasePreset;
import nl.cloudfarming.client.geoviewer.Layer;
import nl.cloudfarming.client.geoviewer.Preset;
import org.openide.util.Lookup;
import org.openide.util.Lookup.Result;
import org.openide.util.NbBundle;

/**
 *
 * Default preset, contains all present layer implenmentations
 *
 * @author Timon Veenstra
 */
public class DefaultPreset extends BasePreset implements Preset {


    public DefaultPreset() {
        Result<Layer> layerResult = Lookup.getDefault().lookupResult(Layer.class);
        for (Layer layer : layerResult.allInstances()){
            addLayer(layer);
        }
    }

    @Override
    public String getName() {
        return NbBundle.getMessage(DefaultPreset.class, "preset.default.name");
    }

    @Override
    public String getKeyDisplayName(String key) {
        return NbBundle.getMessage(DefaultPreset.class, key);
    }

    @Override
    public int getZoomLevel() {
        return 2;
    }

    @Override
    public Coordinate getCenterCoordinate() {
        return new Coordinate(51.5310707, 3.8955812);
    }


}