/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.geoviewer.jxmap.render;

import com.vividsolutions.jts.geom.Geometry;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import org.jdesktop.swingx.JXMapViewer;

/**
 *
 * @author Timon Veenstra
 */
//TODO refactor to extend org.jdesktop.swingx.painter.Painter 
public interface GeometryRenderer<G extends Geometry> {

    /**
     * geometry renderer, pain the geometry
     *
     * @param geometry
     * @param mapViewer
     * @param graphics
     * @param selected
     * @return rectangle (nearest boundingbox around the geometry)
     */
    Rectangle paint(G geometry, JXMapViewer mapViewer, Graphics2D graphics, boolean selected);
}
